Delete Tool
curl --request DELETE \
--url https://api.voicebot.studio/api/v1/tools/{tool_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.voicebot.studio/api/v1/tools/{tool_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.voicebot.studio/api/v1/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voicebot.studio/api/v1/tools/{tool_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"type": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"function": {
"name": "<string>",
"strict": false,
"description": "<string>",
"parameters": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
}
},
"server": {
"url": "<string>",
"timeoutSeconds": 20,
"secret": "<string>",
"headers": {}
},
"messages": [
{
"type": "request-start",
"contents": [
{
"type": "text",
"text": "<string>"
}
],
"content": "<string>",
"conditions": [
{
"param": "<string>",
"value": {}
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Tools
Delete Tool
Delete a tool.
DELETE
/
api
/
v1
/
tools
/
{tool_id}
Delete Tool
curl --request DELETE \
--url https://api.voicebot.studio/api/v1/tools/{tool_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.voicebot.studio/api/v1/tools/{tool_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.voicebot.studio/api/v1/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voicebot.studio/api/v1/tools/{tool_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"type": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"function": {
"name": "<string>",
"strict": false,
"description": "<string>",
"parameters": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
}
},
"server": {
"url": "<string>",
"timeoutSeconds": 20,
"secret": "<string>",
"headers": {}
},
"messages": [
{
"type": "request-start",
"contents": [
{
"type": "text",
"text": "<string>"
}
],
"content": "<string>",
"conditions": [
{
"param": "<string>",
"value": {}
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
messages
(ToolMessageStart · object | ToolMessageComplete · object | ToolMessageFailed · object | ToolMessageDelayed · object)[] | null
- ToolMessageStart
- ToolMessageComplete
- ToolMessageFailed
- ToolMessageDelayed
Show child attributes
Show child attributes
⌘I